/**
 * Test for inheritance.
 * Runs with mocha.
 */

'use strict'

const apeman = require('apeman')
const assert = require('assert')
const co = require('co')

describe('inherit', () => {
  it('Show tmpls.', () => co(function * () {
    yield apeman.show('tmpls', {
      keysonly: true,
      configuration: require.resolve('../doc/mocks/mock-Apemanfile.js')
    })
  }))

  it('Show tasks.', () => co(function * () {
    yield apeman.show('tasks', {
      keysonly: true,
      configuration: require.resolve('../doc/mocks/mock-Apemanfile.js')
    })
  }))
})

/* global describe, it */
